
import '../../../modules/tenant/get_tenant.dart';
import '../../provider/tenant/get_tenant_pro.dart';

abstract class CustomerTenantsRepository {
  Future<CustomerTenantsResponse?> getCustomerTenants(int customerId);
  Future<OrdersResponse?> getCustomerOrders(int customerId);
  Future<Map<String, dynamic>?> createTenantCustomer({
    required int tenantId,
    required int locationId,
    required int customerId,
    required int status,
  });


  final CustomerTenantsProvider provider;

  CustomerTenantsRepository({required this.provider});

  Future<TenantLocationsResponse?> getTenantLocations(int tenantId) async {
    final response = await provider.getTenantLocations(tenantId);
    return response;
  }
}
